import uhal
from dosi.peripherals import *
from dosi.utils import *

class DosiU1(object):
    def __init__(self, device):
        self.device = device
        self.spi = Wu_SPI(device)

class DosiU2(object):
    def __init__(self, device):
        self.device = device

class Dosi(object):
    def __init__(self, connection_file):
        man = uhal.ConnectionManager("file://{0}".format(connection_file))
        self.u1 = DosiU1(man.getDevice("dosi.u1"))
        self.u2 = DosiU2(man.getDevice("dosi.u2"))
